Subject: Re: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Jean Louis <[email-masked]>
Date: Mon, 23 Nov 2020 22:49:51 +0300

* Eli Zaretskii <[email-masked]> [2020-11-23 22:35]:
> > Date: Mon, 23 Nov 2020 21:58:28 +0300
> > From: Jean Louis <[email-masked]>
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked],
> >   [email-masked], [email-masked], [email-masked],
> >   [email-masked]
> > 
> > > Sorry, please drop MTRACE_CTL_VERBOSE=1, as it adds output to stdout
> > > which may affect the process if using pipes.
> > 
> > # MTRACE_CTL_VERBOSE=1
> > MTRACE_CTL_FILE=/home/data1/protected/tmp/mtraceEMACS.mtr LD_PRELOAD=/home/data1/protected/Programming/git/glibc-malloc-trace-utils/libmtrace.so emacs >> $DEBUG 2>&1
> 
> Any reason you redirect stderr to stdout?  I'm not saying that is the
> reason for the EWW problems, but just to be sure, can you try without
> that?  The trace goes to stderr, right?  So just "2> file" should be
> sufficient to collect the trace.  Carlos, am I right?

That could be. I have just tried with:

MTRACE_CTL_FILE=/home/data1/protected/tmp/mtraceEMACS.mtr LD_PRELOAD=/home/data1/protected/Programming/git/glibc-malloc-trace-utils/libmtrace.so emacs

and there is some lock, I have to invoke xkill to kill Emacs.

I wonder why it worked before.

Now it blocks also like this:

LD_PRELOAD=/home/data1/protected/Programming/git/glibc-malloc-trace-utils/libmtrace.so emacs

It must be something with my configuration, so I will research and try
again when I find what is the problem.